Bug 448705 - duplicate sentence in man page
duplicate sentence in man page
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 07:13 EDT by James Cassell
Modified: 2009-05-28 07:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 07:36:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Cassell 2008-05-28 07:13:29 EDT
From Bugzilla Helper:
User-Agent: Opera/9.50 (X11; Linux x86_64; U; en)

Description of problem:
In the manpage for cryptsetup, the following is present under "NOTES ON 
PASSWORD PROCESSING":

                                                   Instead  it  will  be  zero
       padded  (if  shorter than the keysize) or truncated (if longer than the
       keysize) and used directly as the key.  Instead, it will be zero padded
       (if shorter than the keysize) or truncated (if longer than the keysize)
       and used directly as the key.

Version-Release number of selected component (if applicable):
cryptsetup-luks-1.0.6-2.fc9.x86_64

How reproducible:
Always


Steps to Reproduce:
1. man cryptsetup
2. scroll down to "NOTES ON PASSWORD PROCESSING"
3. read the second paragraph, and note the redundancy

Actual Results:


Expected Results:


Additional info:
Comment 1 Till Maas 2008-05-28 09:25:57 EDT
Thank you for this report. A patch has been submited to upstream:
http://permalink.gmane.org/gmane.linux.kernel.device-mapper.dm-crypt/2735
Comment 2 Till Maas 2008-11-05 09:28:15 EST
The patch has been included in upstream scm:
http://code.google.com/p/cryptsetup/source/detail?r=39
Comment 3 James Cassell 2009-04-14 03:19:46 EDT
I see this bug still exists on F9, but has been fixed in rawhide.  I'll check the status around F10 after I reboot.
Comment 4 James Cassell 2009-04-14 07:11:24 EDT
This has also been fixed on F10.
Comment 5 Jonathan Earl Brassow 2009-05-21 09:44:35 EDT
Can this be closed then?
Comment 6 James Cassell 2009-05-28 07:36:26 EDT
I was just going to let it be end up closed WONTFIX when F9 went EOL, since the bug technically still exists in F9.  Closing it now.

Note You need to log in before you can comment on or make changes to this bug.